# $Revision: 1.68 $, $Date: 2011/04/15 17:43:18 $
#
%bcond_with	splashy
%bcond_without	initrd		# don't build resume-initrd
%bcond_without	dietlibc	# link initrd version with static glibc
#

# no-can-link splashy with dietlibc
%if %{with splashy}
%undefine with_dietlibc
%endif

Summary:	Suspend to RAM/Disk/Both
Summary(de.UTF-8):	Einfrieren in den Systemspeicher
Summary(pl.UTF-8):	Zamrażanie w RAM/Dysku/Jedno i drugie
Name:		suspend-utils
Version:	1.0
Release:	1
License:	GPL v2
Group:		Applications/System
# git clone git://git.kernel.org/pub/scm/linux/kernel/git/rafael/suspend-utils.git
# Source0:	%{name}-%{snap}.tar.bz2
Source0:	http://dl.sourceforge.net/project/suspend/suspend/suspend-1.0/suspend-utils-1.0.tar.bz2
# Source0-md5:	02f7d4b679bad1bb294a0efe48ce5934
Source1:	wlcsv2c.pl
Patch0:		suspend-sys-file-range-write.patch
Patch1:		suspend-fadvise.patch
Patch2:		suspend-diet.patch
URL:		http://sourceforge.net/projects/suspend
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with initrd}
%{?with_dietlibc:BuildRequires:	dietlibc-static}
%endif
BuildRequires:	glibc-static
BuildRequires:	libgcrypt-static
BuildRequires:	libgpg-error-static
BuildRequires:	libtool
BuildRequires:	lzo-static >= 2.02
%ifarch %{ix86} %{x8664}
BuildRequires:	libx86-static
%endif
BuildRequires:	pciutils-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
%if %{with splashy}
BuildRequires:	DirectFB-static
BuildRequires:	freetype-static
BuildRequires:	libjpeg-static
BuildRequires:	libpng-static
BuildRequires:	splashy-static
%endif
BuildRequires:	zlib-devel
Requires:	uname(release) >= 2.6.17
Conflicts:	geninitrd < 8880
Provides:	suspend = %{version}-%{release}
Obsoletes:	suspend < 1.0
ExclusiveArch:	%{ix86} %{x8664} ppc ppc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# libz for gzopen gets discarded if same cache reused (probably ac variables conflict)
%undefine	configure_cache

%description
Userland parts needed for suspend-to-disk and suspend-to-RAM on Linux.

%description -l de.UTF-8
Elemente der Benutzerumgebung zum einfrieren in den Systemspeicher
oder auf die Festplatte.

%description -l pl.UTF-8
Elementy przestrzeni użytkownika potrzebne do zamrażania stanu systemu
na dysku lub w pamięci RAM pod Linuksem.

%package initrd
Summary:	Suspend to RAM/Disk/Both resume program for initrd
Summary(pl.UTF-8):	Zamrażanie w RAM/Dysku/Jedno i drugie - program resume dla initrd
Group:		Base

%description initrd
Suspend to RAM/Disk/Both resume program for initrd.

%description initrd -l pl.UTF-8
Zamrażanie w RAM/Dysku/Jedno i drugie - program resume dla initrd.

%prep
%setup -q
%patch0 -p1
%patch1 -p2
%patch2 -p1

install %{SOURCE1} .

cat >syscalltest.c <<EOF
#include <stdio.h>
#include <sys/syscall.h>
int main() { printf("%d", SYS_reboot); return 0; }
EOF
%{__cc} syscalltest.c -o syscalltest
SYS_REBOOT_NR=`./syscalltest`

sed -i -e "s/SYS_REBOOT_NR/$SYS_REBOOT_NR/" swsusp.h

# I don't see any issue here (nor libgcc_s.a)
%{?with_splashy:sed -i -e 's|AC_CHECK_LIB(\[gcc_s\], \[strlen\])||' configure.ac}

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

%if %{with initrd}
%configure \
	%{?with_dietlibc:CFLAGS="%{rpmcflags} -D_BSD_SOURCE -Os -static"} \
	%{?with_dietlibc:CC="diet %{__cc}"} \
	%{?with_splashy:--enable-splashy} \
	--enable-compress \
	--enable-encrypt \
	--enable-static \
	--disable-shared

%if %{with dietlibc}
%{__make} libsuspend-common.a resume-resume.o
diet %{__cc} %{rpmcflags} %{rpmldflags} -D_BSD_SOURCE -Os -static \
	-DS2RAM -D_LARGEFILE64_SOURCE -D_GNU_SOURCE \
	-o resume resume-resume.o \
	libsuspend-common.a -llzo2 -lgcrypt -lgpg-error -lcompat
%else
%{__make} resume
%endif
mv resume resume-initrd
%{__make} clean
%endif

%configure \
	%{?with_splashy:--enable-splashy} \
	--enable-compress \
	--enable-threads \
	--enable-encrypt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with initrd}
install -d $RPM_BUILD_ROOT%{_libdir}/initrd
install resume-initrd $RPM_BUILD_ROOT%{_libdir}/initrd/resume
%endif

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HOWTO README* AUTHORS ReleaseNotes
%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/suspend
%attr(755,root,root) %{_libdir}/suspend/resume
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/suspend.conf

%if %{with initrd}
%files initrd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/initrd/resume
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: suspend-utils.spec,v $
Revision 1.68  2011/04/15 17:43:18  arekm
- up to 1.0 (use tarball); rename from suspend.spec to suspend-utils.spec

Revision 1.67  2010/10/27 17:08:35  arekm
- up to 20101027; allow all T400 2764CTO bioses

Revision 1.66  2010/01/18 23:25:54  sparky
- BR: pkgconfig

Revision 1.65  2010/01/18 08:16:04  arekm
- up to 20100118

Revision 1.64  2009/06/14 02:41:12  arekm
- rel .3; VT_WAITACTIVE can hang, so don't use it

Revision 1.63  2009/04/06 14:49:31  baggins
- rel 2
- added initrd package (built with dietlibc by default)

Revision 1.62  2009/04/02 23:57:28  glen
- up to 20090403
- needs 2.6.17 according to docs

Revision 1.61  2008/10/09 21:03:14  arekm
- up to 20081009 snap

Revision 1.60  2008/08/22 06:43:10  arekm
- up to 20080822

Revision 1.59  2008/06/22 22:00:31  arekm
- up to 20080622

Revision 1.58  2008-05-15 11:32:04  arekm
- up to 20080515

Revision 1.57  2008-01-03 11:27:37  arekm
- up to 20080103

Revision 1.56  2007-10-29 19:08:05  arekm
- new tarball with fixed ppc build

Revision 1.55  2007/10/29 18:38:18  arekm
- rel .3; fix build

Revision 1.54  2007/10/29 18:27:55  arekm
- rel 2; reenable encryption support/compress

Revision 1.53  2007/10/28 12:50:26  wolf
- s2ram identifies itself as 0.8_beta1

Revision 1.52  2007/10/28 12:20:10  glen
- disable configure cache

Revision 1.51  2007/10/28 12:18:22  glen
- check-files cleanup; adapter

Revision 1.50  2007/10/28 10:57:17  arekm
- up to 20071028

Revision 1.49  2007/09/13 11:18:29  arekm
- up to 0.7 20070913

Revision 1.48  2007/08/21 19:23:44  arekm
- up to 20070821

Revision 1.47  2007/08/01 17:12:50  arekm
- up to snap 20070801

Revision 1.46  2007/05/19 23:26:29  arekm
- typo

Revision 1.45  2007/05/19 23:21:05  arekm
- more splashy br

Revision 1.44  2007/05/19 22:38:03  arekm
- fix blues change

Revision 1.43  2007/05/19 22:23:55  blues
- rel.3 - amd64 arch compatibility fix

Revision 1.42  2007/05/15 04:12:08  shadzik
- rel 0.%{snap}.2 (for rebuild)

Revision 1.41  2007/05/15 04:11:21  shadzik
- bad build fix, but works

Revision 1.40  2007/05/14 21:08:43  arekm
- fix summary

Revision 1.39  2007/05/14 20:34:07  arekm
- libx86-static not needed on ppc

Revision 1.38  2007/05/14 20:30:23  arekm
- up to 20070514 (ppc support)

Revision 1.37  2007/03/16 16:18:51  arekm
- up to 20070316

Revision 1.36  2007/03/05 08:15:22  arekm
- md5

Revision 1.35  2007/03/05 08:15:06  arekm
- up to 20070305

Revision 1.34  2007/03/04 12:53:56  wolf
- add sys-file-range-write patch

Revision 1.33  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.31  2007/02/05 09:01:36  arekm
- up to 20070205

Revision 1.30  2007/01/16 08:24:01  arekm
- up to 20070116 snap

Revision 1.29  2006/11/13 08:28:36  arekm
- more files

Revision 1.28  2006/11/13 08:26:25  arekm
- up to 0.5

Revision 1.27  2006/11/06 01:08:53  undefine
- BR: zlib-devel

Revision 1.26  2006/09/28 10:43:11  arekm
- md5

Revision 1.25  2006/09/28 10:28:53  arekm
- up to 20060807 snap

Revision 1.24  2006/09/15 19:24:53  glen
- s2ram and s2both need symbols from zlib; rel 2

Revision 1.23  2006/08/07 19:05:14  arekm
- new snap from 20060807

Revision 1.22  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.21  2006/06/08 21:12:39  arekm
- up to 20060608

Revision 1.20  2006/04/29 01:23:37  glen
- standard _snap for adapter

Revision 1.19  2006/04/28 19:41:30  shadzik
- reverted my changes, but german description
- arekm said they were evil

Revision 1.18  2006/04/28 18:43:35  shadzik
- added patch for dynamical linking
- apropriate BR changes from -static to -devel for the above

Revision 1.17  2006/04/09 18:57:34  arekm
- new snap - 20060409

Revision 1.16  2006/04/09 13:02:19  arekm
- rel .2

Revision 1.15  2006/04/09 12:45:09  arekm
- include config file

Revision 1.14  2006/03/27 08:27:22  arekm
- patch obsolete now

Revision 1.13  2006/03/27 08:26:59  arekm
- use correct cc

Revision 1.12  2006/03/27 08:22:13  arekm
- up to 20060327

Revision 1.11  2006/03/25 16:16:44  arekm
- set ARCH=x86_64 for amd64

Revision 1.10  2006/03/25 16:13:46  arekm
- x86 only

Revision 1.9  2006/03/25 14:11:28  arekm
- more whitelist

Revision 1.8  2006/03/25 13:58:47  arekm
- nicer hack

Revision 1.7  2006/03/25 13:56:18  arekm
- updated to 20060325 snap; added PAGE_SIZE hack.

Revision 1.6  2006/02/25 19:27:35  qboosh
- pl

Revision 1.5  2006/02/22 23:12:20  glen
- BR: sed

Revision 1.4  2006/02/22 23:11:31  arekm
- BR glibc-static for resume

Revision 1.3  2006/02/22 23:09:41  arekm
- fix md5

Revision 1.2  2006/02/22 22:08:03  arekm
- use project name instead of s2ram

Revision 1.1  2006/02/22 21:57:06  arekm
- new, userspace tools for in-kernel suspend to ram and suspend to disk.
